This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 893094 - Custom partitioning help is not intuitive to use
Custom partitioning help is not intuitive to use
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: fedora19rtt
  Show dependency treegraph
 
Reported: 2013-01-08 10:04 EST by Jan Stodola
Modified: 2014-02-05 09:34 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 09:34:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
screenshot (68.08 KB, image/png)
2013-01-08 10:05 EST, Jan Stodola
no flags Details
screenshot with help window (74.36 KB, image/png)
2013-01-08 10:08 EST, Jan Stodola
no flags Details

  None (edit)
Description Jan Stodola 2013-01-08 10:04:40 EST
Description of problem:
There is a new dialog with help instructions for custom partitioning screen (requested in bug 889570). There are some issues though:

* Icon for this help dialog is not intuitive - without reading description in tooltip ("Click for help"), I had no idea what would happen after clicking on it.
* The button is placed in the tool bar with buttons for mountpoint manipulation (creating, removing, modifying) - for better user experience, it would be better to place it on some more noticeable position.
* Help text itself is not graphically structured - table of content is missing, headings should be highlighted for easier orientation.

Version-Release number of selected component (if applicable):
anaconda-18.37.10
Fedora 18-RC1

Steps to Reproduce:
1. start graphical installation and proceed to custom partitioning screen
  
Expected results:
Easy to find and use help.
Comment 1 Jan Stodola 2013-01-08 10:05:25 EST
Created attachment 674888 [details]
screenshot
Comment 2 Jan Stodola 2013-01-08 10:08:54 EST
Created attachment 674889 [details]
screenshot with help window
Comment 3 David Lehman 2013-04-26 13:21:56 EDT
The icon is the standard gnome help icon. File a bug against gnome if you don't think it is intuitive enough.

The button is in the only toolbar on the screen. That is the obvious place for it.

As for making the text fancier, your personal ideal for help text does not make this a valid bug.
Comment 4 Martin Banas 2013-04-26 16:47:22 EDT
I'm reopening the bug after discussion on IRC #anaconda channel. If the help is going to be removed in future anaconda, let's start some discussion. If it's going to stay, then some parts of the report are still valid and it should not be closed as NOTABUG then.

I understand that there are more important things to fix, and that's why this bug doesn't have priority/severity set. If you're not going to make it for this release, you can always, instead of closing, move it to next release. This way it won't disappear.
Comment 5 Fedora End Of Life 2013-12-21 05:15:45 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2014-02-05 09:34:56 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.